<div class="container">
	<div class="levels-row">
		<div
			*ngFor="let level of visualizationData.levels"
			[ngClass]="{ faded: isFinished(level.id)}"
			class="level"
			[matTooltip]="getLevelTooltip(level)"
			[matTooltipClass]="'line-broken-tooltip'">
			<div>
				{{ parseLevelName(level) }}
			</div>
			<div *ngIf="isFinished(level.id)">
				{{ visualizationData.traineeProgress.length }} / {{ visualizationData.traineeProgress.length }}
			</div>
			<div *ngIf="!isFinished(level.id)"
				(click)="getTraineesForLevel(level.id).length != 0 ? filterTrainees(getTraineesForLevel(level.id), level) : ''"
				 [ngClass]="{
				 	clickable: getTraineesForLevel(level.id).length != 0,
				  	faded: getTraineesForLevel(level.id).length === 0
				 }">
				{{ getTraineesForLevel(level.id).length }} playing
			</div>
		</div>

		<div class="level" matTooltip="Training finished">
			<div>Training finished</div>
			<div (click)="getFinishedTrainees().length != 0 ? filterTrainees(getFinishedTrainees(), null) : ''"
				[ngClass]="{
					clickable: getFinishedTrainees().length != 0,
					faded: getFinishedTrainees().length === 0
				}">
				{{ getFinishedTrainees().length }}
				{{getFinishedTrainees().length != 1 ? "trainees" : "trainee"}}
			</div>
		</div>
	</div>
</div>
